<?xml version="1.0" encoding="UTF-8"?>
<!-- {{ ansible_managed }} -->
<configuration scan="true" scanPeriod="30 seconds">

        <property name="application.name" value="{{ coremedia_application_name }}"/>
        <property name="application.version" value="{{ application_version }}"/>
        <property name="log.dir" value="/var/log/coremedia/{{ coremedia_application_name }}"/>

      <include resource="logging-file.xml"/>
      <include resource="logging-tools.xml"/>

    <logger name="com.coremedia" additivity="false" level="info">
      <appender-ref ref="file"/>
    </logger>
    <logger name="hox.corem" additivity="false" level="info">
      <appender-ref ref="file"/>
    </logger>

  <!-- Avoid frequent ERRORs and WARNs from pdfbox when parsing text from PDFs for indexing -->
  <logger name="org.apache.pdfbox.pdmodel.font" additivity="false" level="off"/>

  <root level="warn">
    <appender-ref ref="file"/>
  </root>

</configuration>
